package discovery

import (
	"sync"

	"git.loafle.net/overflow/model/meta"
	"git.loafle.net/overflow/model/util"
)

type Zone struct {
	Network    string           `json:"network,omitempty"`
	Iface      string           `json:"iface,omitempty"`
	MetaIPType *meta.MetaIPType `json:"metaIPType,omitempty"`
	Address    string           `json:"address,omitempty"`
	Mac        string           `json:"mac,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`

	mtx sync.RWMutex `json:"-"`
}
