package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaCollectionItem struct {
	ID           json.Number     `json:"id,Number,omitempty"`
	Key          string          `json:"key,omitempty"`
	Item         string          `json:"item,omitempty"`
	ItemClass    string          `json:"itemClass,omitempty"`
	MetaItemUnit *MetaItemUnit   `json:"metaItemUnit,omitempty"`
	CreateDate   *util.Timestamp `json:"createDate,omitempty"`
}
