package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaCollectionItemMapping struct {
	ID                     json.Number             `json:"id,Number,omitempty"`
	MetaDisplayItemMapping *MetaDisplayItemMapping `json:"metaDisplayItemMapping,omitempty"`
	MetaCollectionItem     *MetaCollectionItem     `json:"metaCollectionItem,omitempty"`
	CreateDate             *util.Timestamp         `json:"createDate,omitempty"`
}
