package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaCrawlerMapping struct {
	ID              json.Number     `json:"id,Number,omitempty"`
	MetaTargetType  *MetaTargetType `json:"metaTargetType,Number,omitempty"`
	MetaCrawler     *MetaCrawler    `json:"metaCrawler,omitempty"`
	DefaultInterval json.Number     `json:"defaultInterval,omitempty"`
	IsDefault       bool            `json:"isDefault,omitempty"`
	CreateDate      *util.Timestamp `json:"createDate,omitempty"`
}
