package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaSensorDisplayItem struct {
	ID                 json.Number         `json:"id,Number,omitempty"`
	Key                string              `json:"key,omitempty"`
	Name               string              `json:"name,omitempty"`
	IsDefault          bool                `json:"isDefault,omitempty"`
	MetaCrawler        *MetaCrawler        `json:"metaCrawler,omitempty"`
	MetaSensorItemUnit *MetaSensorItemUnit `json:"metaSensorItemUnit,omitempty"`
	MetaSensorItemType *MetaSensorItemType `json:"metaSensorItemType,omitempty"`
	CreateDate         *util.Timestamp     `json:"createDate,omitempty"`
}
