package meta

type MetaTargetServiceType struct {
	MetaTargetType
}

type MetaTargetServiceTypeEnum int

const (
	MetaTargetServiceTypeEnumUNKNOWN MetaTargetServiceTypeEnum = iota + 1
)

var (
	metaTargetServiceTypeEnumID = map[MetaTargetServiceTypeEnum]string{
		MetaTargetServiceTypeEnumUNKNOWN: "UNKNOWN",
	}

	metaTargetServiceTypeEnumKey = map[string]MetaTargetServiceTypeEnum{
		"UNKNOWN": MetaTargetServiceTypeEnumUNKNOWN,
	}
)

func (e MetaTargetServiceTypeEnum) String() string {
	return metaTargetServiceTypeEnumID[e]
}

func ToMetaTargetServiceTypeEnum(v *MetaTargetServiceType) MetaTargetServiceTypeEnum {
	return metaTargetServiceTypeEnumKey[v.Key]
}

func ToMetaTargetServiceType(v MetaTargetServiceTypeEnum) *MetaTargetServiceType {
	m := &MetaTargetServiceType{}
	m.Key = metaTargetServiceTypeEnumID[v]

	return m
}
