package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaDisplayItemMapping struct {
	ID                      json.Number              `json:"id,Number,omitempty"`
	MetaDisplayItem         *MetaDisplayItem         `json:"metaDisplayItem,omitempty"`
	MetaCrawlerMapping      *MetaCrawlerMapping      `json:"metaCrawlerMapping,omitempty"`
	MetaItemUnit            *MetaItemUnit            `json:"metaItemUnit,omitempty"`
	MetaDisplayItemCategory *MetaDisplayItemCategory `json:"metaDisplayItemCategory,omitempty"`
	IsDefault               bool                     `json:"isDefault,omitempty"`
	Formula                 string                   `json:"formula,omitempty"`
	Priority                json.Number              `json:"priority,omitempty"`
	IsRequired              bool                     `json:"isRequired,omitempty"`
	CreateDate              *util.Timestamp          `json:"createDate,omitempty"`
}
