package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaItemUnit struct {
	ID         json.Number     `json:"id,Number,omitempty"`
	Key        string          `json:"key,omitempty"`
	Unit       string          `json:"unit,omitempty"`
	Mark       string          `json:"mark,omitempty"`
	CreateDate *util.Timestamp `json:"createDate,omitempty"`
}
