package meta

type MetaTargetHostType struct {
	MetaTargetType
}

type MetaTargetHostTypeEnum int

const (
	MetaTargetHostTypeEnumUNKNOWN MetaTargetHostTypeEnum = iota + 1
)

var (
	metaTargetHostTypeEnumID = map[MetaTargetHostTypeEnum]string{
		MetaTargetHostTypeEnumUNKNOWN: "UNKNOWN",
	}

	metaTargetHostTypeEnumKey = map[string]MetaTargetHostTypeEnum{
		"UNKNOWN": MetaTargetHostTypeEnumUNKNOWN,
	}
)

func (e MetaTargetHostTypeEnum) String() string {
	return metaTargetHostTypeEnumID[e]
}

func ToMetaTargetHostTypeEnum(v *MetaTargetHostType) MetaTargetHostTypeEnum {
	return metaTargetHostTypeEnumKey[v.Key]
}

func ToMetaTargetHostType(v MetaTargetHostTypeEnum) *MetaTargetHostType {
	m := &MetaTargetHostType{}
	m.Key = metaTargetHostTypeEnumID[v]

	return m
}
