package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/model/util"
)

type MetaTargetType struct {
	ID            json.Number     `json:"id,Number,omitempty"`
	MetaInfraType *MetaInfraType  `json:"metaInfraType,omitempty"`
	Key           string          `json:"key,omitempty"`
	Name          string          `json:"name,omitempty"`
	IsSupported   bool            `json:"isSupported,omitempty"`
	CreateDate    *util.Timestamp `json:"createDate,omitempty"`
}
