package net

import (
	omm "git.loafle.net/overflow/model/meta"
)

type Interface struct {
	Iface     string              `json:"iface,omitempty"`
	Mac       string              `json:"mac,omitempty"`
	Addresses []*InterfaceAddress `json:"addresses,omitempty"`
}

type InterfaceAddress struct {
	MetaIPType *omm.MetaIPType `json:"metaIPType,omitempty"`
	Address    string          `json:"address,omitempty"`
	Netmask    string          `json:"netmask,omitempty"`
	Network    string          `json:"network,omitempty"`
	Gateway    string          `json:"gateway,omitempty"`
}
